JAXB v2.2.12-b140109.1041

## javax.xml.bind.annotation.adapters
Annotation Type XmlJavaTypeAdapter

    @Retention(value=RUNTIME)
    @Target(value={PACKAGE,FIELD,METHOD,TYPE,PARAMETER})
    public @interface XmlJavaTypeAdapter

Use an adapter that implements `XmlAdapter` for custom marshaling.

Usage:

The `@XmlJavaTypeAdapter` annotation can be used with the following program elements:

- a JavaBean property
- field
- parameter
- package
- from within `XmlJavaTypeAdapters`

When `@XmlJavaTypeAdapter` annotation is defined on a class, it applies to all references to the class.

When `@XmlJavaTypeAdapter` annotation is defined at the package level it applies to all references from within the package to `@XmlJavaTypeAdapter.type()`.

When `@XmlJavaTypeAdapter` annotation is defined on the field, property or parameter, then the annotation applies to the field, property or the parameter only.

A `@XmlJavaTypeAdapter` annotation on a field, property or parameter overrides the `@XmlJavaTypeAdapter` annotation associated with the class being referenced by the field, property or parameter.

A `@XmlJavaTypeAdapter` annotation on a class overrides the `@XmlJavaTypeAdapter` annotation specified at the package level for that class.

This annotation can be used with the following other annotations: `XmlElement`, `XmlAttribute`, `XmlElementRef`, `XmlElementRefs`, `XmlAnyElement`. This can also be used at the package level with the following annotations: `XmlAccessorType`, `XmlSchema`, `XmlSchemaType`, `XmlSchemaTypes`.

Example: See example in `XmlAdapter`

Since:
  JAXB2.0
Author:
  - Sekhar Vajjhala, Sun Microsystems Inc.
  - Kohsuke Kawaguchi, Sun Microsystems Inc.
See Also:
  `XmlAdapter`

Required Element Summary
`Class<? extends XmlAdapter>` `value` Points to the class that converts a value type to a bound type or vice versa.

Optional Element Summary
`Class` `type` If this annotation is used at the package level, then value of the type() must be specified.

Element Detail

### value

    public abstract Class<? extends XmlAdapter> value

  Points to the class that converts a value type to a bound type or vice versa. See `XmlAdapter` for more details.

### type

    public abstract Class type

  If this annotation is used at the package level, then value of the type() must be specified.

  Default:
    javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter.DEFAULT.class

JAXB v2.2.12-b140109.1041

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle